Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class Parameter

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.Parameter

All Implemented Interfaces:
  InMemoryValue, Value

public class Parameter
extends java.lang.Object
implements InMemoryValue

Represents a declared parameter.

Constructor Summary
`Parameter(java.lang.String name, java.lang.Class type)` Constructor.

Method Summary
`void` | `castTo(java.lang.Class type)` Cast this value to the given type.
`java.lang.Object` | `evaluate(java.lang.Object candidate, java.lang.Object orig, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Evaluate the given candidate.
`boolean` | `isVariable()` Return true if this value is a variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter(java.lang.String name,
                     java.lang.Class type)

  Constructor. Provide parameter name and type.

Method Detail

### isVariable

    public boolean isVariable()

  Description copied from interface: `Value`
  Return true if this value is a variable.

  Specified by:
    `isVariable` in interface `Value`

### castTo

    public void castTo(java.lang.Class type)

  Description copied from interface: `InMemoryValue`
  Cast this value to the given type.

  Specified by:
    `castTo` in interface `InMemoryValue`

### evaluate

    public java.lang.Object evaluate(java.lang.Object candidate,
                                     java.lang.Object orig,
                                     com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                                     java.util.Map params)

  Description copied from interface: `InMemoryValue`
  Evaluate the given candidate.

  Specified by:
    `evaluate` in interface `InMemoryValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.